#
# spec file for package netxen-firmware (Version 4.0.534)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           netxen-firmware
Url:            ftp.qlogic.com:/outgoing/arahman/Woodhouse/
License:        Any proprietary
Group:          Hardware/Other
AutoReqProv:    on
Summary:        Firmware files for QLogic/NetXen (1/10) GbE Converged Ethernet Driver
Source0:        LICENSE
Source1:        CURRENT_VERSIONS
Source11:       phanfw.bin
Version:        4.0.534
Release:        0.6.24
# Install into this non-root directory (required when norootforbuild is used):
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%define _datadir /lib/firmware
# Modules: netxen_nic.ko
Supplements:    modalias(pci:v00004040d0000000[12345]sv*sd*bc02sc00i00*)
Supplements:    modalias(pci:v00004040d0000002[45]sv*sd*bc02sc00i00*)
Supplements:    modalias(pci:v00004040d00000100sv*sd*bc02sc00i00*)
# Generated with: extract-modaliases drivers/net/netxen/netxen_nic.ko

%prep
cp %{S:0} .
cp %{S:1} .

%build
# There is nothing to build.

%install
# The firmware files must be installed in /lib/firmware
# because the firmware loader from udev searches there
mkdir -p %{buildroot}%{_datadir}
install -m 644 %{S:11} %{buildroot}%{_datadir}

%files
%defattr(-,root,root)
%doc LICENSE CURRENT_VERSIONS
%{_datadir}/

%description
Firmware for the QLogic Linux Intelligent Ethernet (3000 and 3100
Series) Adapter

For the current version of the individual firmware files please check
the CURRENT_VERSIONS file in /usr/share/doc/packages/netxen-firmware/

For the license see the LICENSE file in
/usr/share/doc/packages/netxen-firmware/

Authors: David Wagner <david.wagner@qlogic.com>



%changelog
* Fri Nov 19 2010 bphilips@suse.de
- Initial package (bnc#654820)
